Bug 1028700 - SELinux is preventing /usr/sbin/chronyd from 'search' accesses on the directory nmbd. [NEEDINFO]
SELinux is preventing /usr/sbin/chronyd from 'search' accesses on the directo...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: chrony (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
abrt_hash:e0673aaba3f849a6d6d12906ed8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-09 13:23 EST by caskhyron
Modified: 2015-02-17 14:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:09:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mlichvar: needinfo? (caskhyron)


Attachments (Terms of Use)

  None (edit)
Description caskhyron 2013-11-09 13:23:12 EST
Description of problem:
SELinux is preventing /usr/sbin/chronyd from 'search' accesses on the directory nmbd.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that chronyd should be allowed search access on the nmbd directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep chronyd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:chronyd_t:s0
Target Context                system_u:object_r:nmbd_var_run_t:s0
Target Objects                nmbd [ dir ]
Source                        chronyd
Source Path                   /usr/sbin/chronyd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           chrony-1.29-1.fc19.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.11.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.7-200.fc19.i686 #1 SMP Mon
                              Nov 4 14:32:57 UTC 2013 i686 i686
Alert Count                   36
First Seen                    2013-11-09 10:37:02 EST
Last Seen                     2013-11-09 13:19:44 EST
Local ID                      fd516697-ae84-401a-b205-3a2b64ea4d1f

Raw Audit Messages
type=AVC msg=audit(1384021184.4:618): avc:  denied  { search } for  pid=321 comm="chronyd" name="nmbd" dev="tmpfs" ino=18897 scontext=system_u:system_r:chronyd_t:s0 tcontext=system_u:object_r:nmbd_var_run_t:s0 tclass=dir


type=SYSCALL msg=audit(1384021184.4:618): arch=i386 syscall=socketcall success=no exit=EACCES a0=3 a1=bfa6f970 a2=b71f1f54 a3=a items=0 ppid=1 pid=321 auid=4294967295 uid=994 gid=992 euid=994 suid=994 fsuid=994 egid=992 sgid=992 fsgid=992 ses=4294967295 tty=(none) comm=chronyd exe=/usr/sbin/chronyd subj=system_u:system_r:chronyd_t:s0 key=(null)

Hash: chronyd,chronyd_t,nmbd_var_run_t,dir,search

Additional info:
reporter:       libreport-2.1.9
hashmarkername: setroubleshoot
kernel:         3.11.7-200.fc19.i686
type:           libreport
Comment 1 Miroslav Grepl 2013-11-11 07:16:52 EST
I have no idea why this would be needed. Something tells me we already have this bug.
Comment 2 Miroslav Lichvar 2013-11-11 07:42:34 EST
Is this with the default chrony configuration (/etc/chrony.conf)?
Comment 3 Daniel Walsh 2013-11-11 15:49:22 EST
Why is chronyd executing nmbd?
Comment 4 caskhyron 2013-11-11 20:01:12 EST
Description of problem:
I do use Samba to talk to other windows computers on my network over a peer-to-peer network (non-domain), but I have no idea what chronyd is or what it is doing.  Peer-to-peer network appears to working fine as far as I can tell, although I haven't set up any accessible shares on Fedora at this time,  so my windows computers can authenticate with Fedora, but can't access the administrator home folder (not a concern at this point).

Additional info:
reporter:       libreport-2.1.9
hashmarkername: setroubleshoot
kernel:         3.11.7-200.fc19.i686
type:           libreport
Comment 5 Miroslav Lichvar 2013-11-12 03:12:32 EST
(In reply to Daniel Walsh from comment #3)
> Why is chronyd executing nmbd?

Could this be from getsid() when there is an old /var/run/chronyd.pid and the pid happens to be the nmbd process?
Comment 6 Miroslav Lichvar 2013-11-12 03:24:51 EST
(In reply to Miroslav Lichvar from comment #5)
> Could this be from getsid() when there is an old /var/run/chronyd.pid and
> the pid happens to be the nmbd process?

That would be bug #974305.

Maybe this is something related to name resolving?
Comment 7 Daniel Walsh 2013-11-12 10:15:59 EST
Sounds like as good an idea as any.

caskhyron has this happened again?
Comment 8 Fedora End Of Life 2015-01-09 15:32:25 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 14:09:45 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.